<?php
require_once(LIB_PATH . 'Dashboard.inc'); 
require_once(CORE_PATH . 'prefs.inc'); 
require_once(CORE_PATH . 'common.inc'); 
function x_25($x_16f = 'html', $x_16g = 0, $x_3k = Array()) { 
global $x_33; 
$x_z = new x_10(); 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getCsrf(&$x_s); 
$x_45 = 0; 
$x_45 = $x_1->isPasswdChangeable(); 
$x_e2 = Array(); 
if (1 == $x_16g || 'html' == $x_16f) { 
$x_16x = ''; 
if ($x_1) { 
$x_16y = array(); 
$x_8i = array(); 
$x_1->getUserWwwFilter(&$x_8h, webiface_DISABLED); 
$x_1->getUserWwwFilter(&$x_8i, webiface_CHECKED); 
$x_8j = x_8g($x_8h, $x_8i); 
$x_16x = $x_z->kp_table($x_8j, 'class="wwwFilters" cellpadding="0" cellspacing="0" border="0"'); 
$x_16x = '<form method="POST" action="set.php?target=x_43" target="x_2g">' 
. $x_16x 
. $x_z->kp_getInput('hidden', 'x_u', $x_s) 
. '</form>'; 
} 
$x_16z = ''; 
if ($x_45 != 0) { 
$x_8j = x_8s(); 
$x_16z = $x_z->kp_table($x_8j, 'class="changePassword" cellpadding="0" cellspacing="0" border="0"'); 
$x_16z = '<form method="POST" action="set.php?target=x_44" target="x_2g">' 
. $x_16z 
. $x_z->kp_getInput('hidden', 'x_u', $x_s) 
. '</form>'; 
} 
$x_170 = ''; 
$x_8j = x_91($x_33); 
$x_170 = $x_z->kp_table($x_8j, 'class="changeLang" cellpadding="0" cellspacing="0" border="0"'); 
$x_170 = '<form method="POST" action="set.php?target=x_40" target="x_2g">' 
. $x_170 
. $x_z->kp_getInput('hidden', 'x_u', $x_s) 
. '</form>'; 
$x_e2[1] = Array('x_dy' => Array( 'title' => '<kerio:text id="lang_filter_options" />', 
'icon' => 'contentFilter.gif', 
'data' => $x_16x), 
'x_dz' => Array( 'title' => '<kerio:text id="lang_change_password" />', 
'icon' => 'pwdChange.gif', 
'data' => $x_16z), 
'x_171' => Array( 'title' => '<kerio:text id="language" />', 
'icon' => 'regional.gif', 
'data' => $x_170) 
); 
} 
if ('html' == $x_16f) { 
$x_z->x_dv('L5'); 
foreach ($x_e2 as $x_kv => $x_7d) { 
$x_z->x_e0($x_kv, $x_7d); 
} 
$x_16k = $x_z->x_eb('prefs') . $x_z->x_1u(); 
return $x_16k; 
} elseif('xml' == $x_16f) { 
$x_z->x_dv('L5'); 
$x_z->x_e0($x_16g, $x_e2[$x_16g]); 
return $x_z->x_e6($x_16g); 
} 
} 
?>
